@extends("layouts.admin")

@section('content')
    <div class="page-header">
        <h3 class="page-title">
            Управление посылкой: № {{ $package->id }} ({{ $package->package_name }})
        </h3>
        <nav aria-label="breadcrumb">
            <ol class="breadcrumb">
                <li class="breadcrumb-item"><a href="{{ url('/postman/packages') }}">Посылки</a></li>
                <li class="breadcrumb-item active" aria-current="page">Управление</li>
            </ol>
        </nav>
    </div>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('packageUpdate', ['package_id' => $package->id]) }}" method="post">
                        @csrf
                        <div class="form-group row">
                            <label for="package_name" class="col-sm-2 col-form-label">Название посылки</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="package_name" name="package_name" placeholder="" value="{{ $package->package_name ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="track_number" class="col-sm-2 col-form-label">Трек номер</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="track_number" name="track_number" placeholder="" value="{{ $package->track_number ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="comment" class="col-sm-2 col-form-label">Комментарий к посылке</label>
                            <div class="col-sm-10">
                                <textarea class="form-control" name="comment" id="comment">{{ $package->comment }}</textarea>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="market_link" class="col-sm-2 col-form-label">Ссылка на магазин</label>
                            <div class="col-sm-10">
                                <input type="text" class="form-control" id="market_link" name="market_link" placeholder="" value="{{ $package->market_link ?? '' }}">
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="colFormLabel" class="col-sm-2 col-form-label">Текущий статус</label>
                            <div class="col-sm-10">
                                <span class="badge badge-{{ \App\Models\Package::$statuses_colors[$package->status] ?? ''}}">{{ \App\Models\Package::$statuses_descr[$package->status] ?? '' }}</span>
                            </div>
                        </div>

                        <div class="form-group row">
                            <label for="status" class="col-sm-2 col-form-label">Изменить статус</label>
                            <div class="col-sm-10">
                                <select class="form-control" name="status" id="status">
                                    @foreach(\App\Models\Package::$statuses_descr as $key => $value)
                                        <option value="{{ $key }}" {{ ($key == $package->status) ? 'SELECTED' : '' }}>{{ $value }}</option>
                                    @endforeach
                                </select>
                            </div>
                        </div>

                        <button type="submit" class="btn btn-gradient-success mr-2">Cохранить</button>
                        <a href="{{ url('/postman/packages') }}" class="btn btn-light">Отмена</a>
                    </form>
                </div>
            </div>
        </div>
    </div>

@endsection